<!-- prettier-ignore-start -->
# Class SuggestedContent

- [TopLevel.Object](TopLevel.Object.md)
  - [dw.suggest.SuggestedContent](dw.suggest.SuggestedContent.md)

This class represents a suggested content page.
Use [getContent()](dw.suggest.SuggestedContent.md#getcontent) method to get access to the actual [Content](dw.content.Content.md) object.



## Property Summary

| Property | Description |
| --- | --- |
| [content](#content): [Content](dw.content.Content.md) `(read-only)` | This method returns the actual [Content](dw.content.Content.md) object corresponding to this suggested content. |

## Constructor Summary

This class does not have a constructor, so you cannot create it directly.
## Method Summary

| Method | Description |
| --- | --- |
| [getContent](dw.suggest.SuggestedContent.md#getcontent)() | This method returns the actual [Content](dw.content.Content.md) object corresponding to this suggested content. |

### Methods inherited from class Object

[assign](TopLevel.Object.md#assignobject-object), [create](TopLevel.Object.md#createobject), [create](TopLevel.Object.md#createobject-object), [defineProperties](TopLevel.Object.md#definepropertiesobject-object), [defineProperty](TopLevel.Object.md#definepropertyobject-object-object), [entries](TopLevel.Object.md#entriesobject), [freeze](TopLevel.Object.md#freezeobject), [fromEntries](TopLevel.Object.md#fromentriesiterable), [getOwnPropertyDescriptor](TopLevel.Object.md#getownpropertydescriptorobject-object), [getOwnPropertyNames](TopLevel.Object.md#getownpropertynamesobject), [getOwnPropertySymbols](TopLevel.Object.md#getownpropertysymbolsobject), [getPrototypeOf](TopLevel.Object.md#getprototypeofobject), [hasOwnProperty](TopLevel.Object.md#hasownpropertystring), [is](TopLevel.Object.md#isobject-object), [isExtensible](TopLevel.Object.md#isextensibleobject), [isFrozen](TopLevel.Object.md#isfrozenobject), [isPrototypeOf](TopLevel.Object.md#isprototypeofobject), [isSealed](TopLevel.Object.md#issealedobject), [keys](TopLevel.Object.md#keysobject), [preventExtensions](TopLevel.Object.md#preventextensionsobject), [propertyIsEnumerable](TopLevel.Object.md#propertyisenumerablestring), [seal](TopLevel.Object.md#sealobject), [setPrototypeOf](TopLevel.Object.md#setprototypeofobject-object), [toLocaleString](TopLevel.Object.md#tolocalestring), [toString](TopLevel.Object.md#tostring), [valueOf](TopLevel.Object.md#valueof), [values](TopLevel.Object.md#valuesobject)
## Property Details

### content
- content: [Content](dw.content.Content.md) `(read-only)`
  - : This method returns the actual [Content](dw.content.Content.md) object corresponding to this suggested content.


---

## Method Details

### getContent()
- getContent(): [Content](dw.content.Content.md)
  - : This method returns the actual [Content](dw.content.Content.md) object corresponding to this suggested content.

    **Returns:**
    - the content object corresponding to this suggested content


---

<!-- prettier-ignore-end -->
